package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFAV6Response {

    @Parameter(name = "Adresat")
    String adresat();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "CisloPasu")
    String cisloPasu();

    @Parameter(name = "Ctvrt")
    String ctvrt();

    @Parameter(name = "DIC")
    String dic();

    @Parameter(name = "DalsiDokladCislo")
    String dalsiDokladCislo();

    @Parameter(name = "DatumExpiraceKontaktnichUdaju")
    java.util.Date datumExpiraceKontaktnichUdaju();

    @Parameter(name = "DatumExpiracePotvrzeniStudent")
    java.util.Date datumExpiracePotvrzeniStudent();

    @Parameter(name = "DatumNarozeni")
    java.util.Date datumNarozeni();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "DruhyDokladCislo")
    String druhyDokladCislo();

    @Parameter(name = "DruhyDokladPlatnost")
    java.util.Date druhyDokladPlatnost();

    @Parameter(name = "Fax")
    Long fax();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "KodOM")
    String kodOM();

    @Parameter(name = "NezadouciKlient")
    String nezadouciKlient();

    @Parameter(name = "OKEC")
    String okec();

    @Parameter(name = "ObchodniJmeno")
    String obchodniJmeno();

    @Parameter(name = "Obec")
    String obec();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PlatnostDalsihoDokladuDo")
    java.util.Date platnostDalsihoDokladuDo();

    @Parameter(name = "PlatnostPasu")
    java.util.Date platnostPasu();

    @Parameter(name = "PocetNedorucenychVypisuAA")
    Long pocetNedorucenychVypisuAA();

    @Parameter(name = "PocetNedorucenychVypisuTA")
    Long pocetNedorucenychVypisuTA();

    @Parameter(name = "Posta")
    String posta();

    @Parameter(name = "PravniForma")
    String pravniForma();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrvniJmeno")
    String prvniJmeno();

    @Parameter(name = "Rezidence")
    String rezidence();

    @Parameter(name = "RizikoKlientaCIS")
    String rizikoKlientaCIS();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "SerieACisloOP")
    String serieACisloOP();

    @Parameter(name = "SerieAPlatnostOP")
    java.util.Date serieAPlatnostOP();

    @Parameter(name = "SpiciUcet")
    String spiciUcet();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "TelefonPredvolba")
    String telefonPredvolba();

    @Parameter(name = "TelefonZamestnani")
    Long telefonZamestnani();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypDalsihoDokladu")
    String typDalsihoDokladu();

    @Parameter(name = "TypDruhehoDokladu")
    String typDruhehoDokladu();

    @Parameter(name = "TypKlienta")
    String typKlienta();

    @Parameter(name = "TypKlientaDetail")
    String typKlientaDetail();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "UliceSpojena")
    String uliceSpojena();

    @Parameter(name = "Vek")
    Double vek();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "ZkraceneJmeno")
    String zkraceneJmeno();

}